> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Get list of active organization inclusive volumes

GET https://iot.telia.lt/api/v1/organisation/{org_id_or_my}/inclusive_volume/active

Returns of a list of inclusive volumes that are currently active in the current billing period for the selected organisation.
This will not inclusive volumes that are already expired or have the start date set for a future billing period.

Only inclusive volumes for the own organisation or direct child organisations are accessible.


Reference: https://docs.iot.telia.lt/developers/api/organization/get-active-organisation-inclusive-volume

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `org_id_or_my` (string, required, default: my) — Numerical ID of an Organization or the string `my` to use the currently authorized organisation

## Response

### 200

Success

- `list of ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

### 404 Not Found Error

A non-existent resource is requested

- `any`

## Types

### ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItems

- `id` (integer, optional)
- `volume` (float, optional) — The volume in MB
- `rate` (float, optional)
- `pooled` (boolean, optional)
- `start_date` (string, optional)
- `end_date` (string, optional) — End date will be omitted in the response, if it has been set to null. This means the inclusive volume will run infinitely.
- `currency` (ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItemsCurrency, optional)
- `tariff` (ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItemsTariff, optional)

### ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItemsCurrency

- `id` (integer, optional)
- `code` (string, optional)
- `symbol` (string, optional)

### ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItemsTariff

- `id` (integer, optional)
- `name` (string, optional)
- `tariff_status_id` (integer, optional)
- `ratezone` (ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItemsTariffRatezone, optional)

### ApiV1OrganisationOrgIdOrMyInclusiveVolumeActiveGetResponsesContentApplicationJsonSchemaItemsTariffRatezone

- `id` (integer, optional)
- `name` (string, optional)
- `ratezone_status_id` (integer, optional)

## Examples

**Response**

```json
[
  {
    "id": 1055,
    "volume": 1,
    "rate": 1,
    "pooled": false,
    "start_date": "2020-01-01T00:00:00.000Z",
    "currency": {
      "id": 1,
      "code": "EUR",
      "symbol": "€"
    },
    "tariff": {
      "id": 447,
      "name": "500 MB Inclusive",
      "tariff_status_id": 0,
      "ratezone": {
        "id": 2108,
        "name": "Test1",
        "ratezone_status_id": 0
      }
    }
  }
]
```

**SDK Code**

```python List of active organisation inclusive volumes
import requests

url = "https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript List of active organisation inclusive volumes
const url = 'https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List of active organisation inclusive volumes
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List of active organisation inclusive volumes
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java List of active organisation inclusive volumes
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php List of active organisation inclusive volumes
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp List of active organisation inclusive volumes
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift List of active organisation inclusive volumes
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/organisation/my/inclusive_volume/active")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```